(defun GETANSICHT () (list (getvar "VIEWCTR") (getvar "VIEWSIZE") ) ) (defun SETANSICHT ( ANSICHT ) (Command "_zoom" "_c" (car ANSICHT)(cadr ANSICHT)) ) (defun c:zoz ( / osmodemerk ) (setq osmodemerk (getvar "osmode")) (if (= option_alt nil)(setq option_alt "1") ) (if (or (= option "b")(= option "B")) (setq option "1") ) (while (not (or (= option "b")(= option "B"))) (cond ((= option nil)(setq option "1")) ((= (atoi option) 0)(setq option "1")) ) (cond ((and(> (atoi option) 0) (< (atoi option ) 11)) (setq option_alt option) ) ((> (atoi option) 11) (setq option_alt 10) ) ) (if (= (setq option (getstring (strcat "\n<" option_alt "> Schritt zurück [Enter], Modellbereichs-Ansicht [Sichern]/[Wiederherstellen], [Beenden]: ")))"") (setq option option_alt) ) (cond ((or (= option "b") (= option "B")) (print "Programm beendet, für gespeicherte Ansicht 'ZOZ' aufrufen + Eingabe 'W'") ) ((or (= option "s") (= option "S")) (progn (setq aktFenster (getansicht))(print "Aktuelle Modellbereichs-Ansicht gespeichert !")) ) ((or (= option "w") (= option "W")) (progn (setansicht aktFenster)(print "Gespeicherte Modellbereichs-Ansicht wieder hergestellt.")) ) ((and (> (atoi option) 0) (< (atoi option ) 11)) (command "_undo" option) ) ((> (atoi option) 10) (progn (setq option "10")(print "Maximal 10 Schritte zurück erlaubt !")) ) ('T "Falscher Parameter wurde eingegeben.") );ende cond );ende while (setvar "osmode" osmodemerk) (princ) );ende defun